> For the complete documentation index, see [llms.txt](https://zumo.fusion.ac/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://zumo.fusion.ac/api-reference/http/get-mcpr.md).

# GET /replays/{replayId}/mcpr

Download the Replay Mod `.mcpr` file (ZIP).

**Authentication:** none (public)

## Response

| Status | Content-Type       | Description                    |
| ------ | ------------------ | ------------------------------ |
| `200`  | `application/zip`  | MCPR file stream               |
| `400`  | `application/json` | Invalid UUID                   |
| `404`  | `application/json` | Not recorded or failed         |
| `425`  | `application/json` | Still recording / not uploaded |
| `503`  | `application/json` | Storage not configured         |

## Example

```bash
curl -O "https://zed.fusion.ac/replays/0febde27-aafd-4d8d-bb79-cb3be723aa7a/mcpr"
```
